

package gov.va.med.cds.monitor;


public class CdmToVdmMapMethodMetrics
    extends
        AbstractMethodMetrics
    implements
        CdmToVdmMapMethodMetricsInterface
{

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdmToVdmMapMethodMetricsInterface#getCdmToVdmMapTransactions()
     */
    public long getCdmToVdmMapTransactions( )
    {
        return getTransactions();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdmToVdmMapMethodMetricsInterface#getCdmToVdmMapElapsedTime()
     */
    public long getCdmToVdmMapElapsedTime( )
    {
        return getElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdmToVdmMapMethodMetricsInterface#getCdmToVdmMapTransactionsPerSecond()
     */
    public double getCdmToVdmMapTransactionsPerSecond( )
    {
        return getTransactionsPerSecond();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdmToVdmMapMethodMetricsInterface#getCdmToVdmMapAverageElapsedTime()
     */
    public double getCdmToVdmMapAverageElapsedTime( )
    {
        return getAverageElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdmToVdmMapMethodMetricsInterface#getCdmToVdmMapMaxElapsedTime()
     */
    public long getCdmToVdmMapMaxElapsedTime( )
    {
        return getMaxElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdmToVdmMapMethodMetricsInterface#getCdmToVdmMapMinElapsedTime()
     */
    public long getCdmToVdmMapMinElapsedTime( )
    {
        return getMinElapsedTime();
    }
}
